# CoreStoreObjectOrderedDiff

    public final class CoreStoreObjectOrderedDiff<D> where D : CoreStoreObject

The object containing the changeset for an observed `RelationshipContainer.Ordered` property.

- `kind`

  Indicates the kind of change. See the comments for `NSObject.observeValue(forKeyPath:of:change:context:)` for more information.

  #### Declaration

  Swift

      public let kind: NSKeyValueChange

- `newValue`

  `newValue` and `oldValue` will only be non-nil if `.new`/`.old` is passed to `observe()`. In general, get the most up to date value by accessing it directly on the observed object instead.

  #### Declaration

  Swift

      public private(set) lazy var newValue: [D] { get set }

- `oldValue`

  `newValue` and `oldValue` will only be non-nil if `.new`/`.old` is passed to `observe()`. In general, get the most up to date value by accessing it directly on the observed object instead.

  #### Declaration

  Swift

      public private(set) lazy var oldValue: [D] { get set }

- `indexes`

  `indexes` will be `nil` unless the observed KeyPath refers to an ordered to-many property

  #### Declaration

  Swift

      public let indexes: IndexSet

- `isPrior`

  ‘isPrior’ will be `true` if this change observation is being sent before the change happens, due to `.prior` being passed to `observe()`

  #### Declaration

  Swift

      public let isPrior: Bool